org.springframework.cloud.dataflow.rest.resource

## Class AuditRecordResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<AuditRecordResource>
  - - org.springframework.cloud.dataflow.rest.resource.AuditRecordResource

-     public class AuditRecordResource
      extends org.springframework.hateoas.RepresentationModel<AuditRecordResource>

  A HATEOAS representation of an `AuditRecord`.

  Note: this implementation is not thread safe.

  Author:
    Gunnar Hillert

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuditRecordResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditRecordResource()` Default constructor for serialization frameworks.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuditAction()`
    `String` | `getAuditData()`
    `String` | `getAuditOperation()`
    `Long` | `getAuditRecordId()`
    `String` | `getCorrelationId()`
    `String` | `getCreatedBy()`
    `Instant` | `getCreatedOn()`
    `String` | `getPlatformName()`
    `void` | `setAuditAction(String auditAction)`
    `void` | `setAuditData(String auditData)`
    `void` | `setAuditOperation(String auditOperation)`
    `void` | `setAuditRecordId(Long auditRecordId)`
    `void` | `setCorrelationId(String correlationId)`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setCreatedOn(Instant createdOn)`
    `void` | `setPlatformName(String platformName)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditRecordResource

          public AuditRecordResource()

      Default constructor for serialization frameworks.

  - ### Method Detail

    - #### getCreatedBy

          public String getCreatedBy()

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

    - #### getCorrelationId

          public String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId(String correlationId)

    - #### getAuditData

          public String getAuditData()

    - #### setAuditData

          public void setAuditData(String auditData)

    - #### getCreatedOn

          public Instant getCreatedOn()

    - #### setCreatedOn

          public void setCreatedOn(Instant createdOn)

    - #### getAuditAction

          public String getAuditAction()

    - #### setAuditAction

          public void setAuditAction(String auditAction)

    - #### getAuditOperation

          public String getAuditOperation()

    - #### setAuditOperation

          public void setAuditOperation(String auditOperation)

    - #### getAuditRecordId

          public Long getAuditRecordId()

    - #### setAuditRecordId

          public void setAuditRecordId(Long auditRecordId)

    - #### getPlatformName

          public String getPlatformName()

    - #### setPlatformName

          public void setPlatformName(String platformName)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.